aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2020-12-13 23:47:15 +0100
committerGuilhem Moulin <guilhem@fripost.org>2020-12-13 23:47:15 +0100
commit43516b78b6b626bb6df522e4f1c5166989d79eb5 (patch)
tree7915f526c67e9880ebb79c69ddf77ac7446c559f
parent9c8b3460c4ae5026066aff9ea1b7d38716c893a8 (diff)
typofix
-rw-r--r--lib/Net/IMAP/InterIMAP.pm2
-rw-r--r--tests/tls-protocols/t2
2 files changed, 2 insertions, 2 deletions
diff --git a/lib/Net/IMAP/InterIMAP.pm b/lib/Net/IMAP/InterIMAP.pm
index 99d3a0e..856c5c8 100644
--- a/lib/Net/IMAP/InterIMAP.pm
+++ b/lib/Net/IMAP/InterIMAP.pm
@@ -1732,7 +1732,7 @@ sub _start_ssl($$) {
$self->log("Maximum SSL/TLS protocol version: ", $max) if $self->{debug};
}
} elsif (defined (my $protos = $self->{SSL_protocols})) { # TODO deprecated, remove in 0.6
- $self->warn("SSL_protocols is deprecated and will be removed in a future release! ",
+ $self->warn("SSL_protocols is deprecated and will be removed in a future release! " .
"Use SSL_protocol_{min,max} instead.");
my ($proto_include, $proto_exclude) = (0, 0);
foreach (split /\s+/, $protos) {
diff --git a/tests/tls-protocols/t b/tests/tls-protocols/t
index ecf7e49..c302731 100644
--- a/tests/tls-protocols/t
+++ b/tests/tls-protocols/t
@@ -19,7 +19,7 @@ grep -Fx "remote: Disabling SSL protocols: SSLv3, TLSv1, TLSv1.1, TLSv1.2" <"$ST
grep -E "^remote: SSL protocol: TLSv1\.3 " <"$STDERR" || error
interimap || error
-grep -E "^remote: SSL_protocols is deprecated " <"$STDERR" || error "no deprecation message"
+grep -E "^remote: WARNING: SSL_protocols is deprecated " <"$STDERR" || error "no deprecation warning"
# force TLSv1.2
with_remote_tls_protocols "TLSv1.2"